# -*- coding:utf-8 -*-
# author:eastchinasea time:2023/7/2.
from PyQt5 import QtWidgets, QtGui, QtCore
from ui.mainwindow import Ui_MainWindow
import api


class MainWindow(QtWidgets.QMainWindow, Ui_MainWindow):
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        self.create_Button.clicked.connect(self.got)

    def got(self):
        self.output_textBrowser.setPlaceholderText('Thinking...')
        text = self.input_textEdit.toPlainText()
        answer = api.get(text = text)
        self.output_textBrowser.setPlaceholderText(answer)


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    mainWindow = MainWindow()
    mainWindow.show()
    sys.exit(app.exec_())
